---
pre-commit-run-all:
  image:
    name: registry.gitlab.com/saltstack/pop/cicd/containers/alpinelint:py38
    entrypoint: [""]
  stage: pre-commit
  variables:
    PRE_COMMIT_HOME: "${CI_PROJECT_DIR}/pre-commit-cache"
  cache:
    key: pre-commit-cache
    paths:
      - pre-commit-cache/
  script:
    - "chmod -R g-w,o-w . && umask 0022"
    - 'if [ -d "${PRE_COMMIT_HOME}" ]; then find "${PRE_COMMIT_HOME}" -maxdepth 0 -mtime +7 -exec rm -rf {} \; ; fi'
    - pre-commit run --color always --show-diff-on-failure -a -v
